Skip to content

Admins

Everything about your Admins

Identify an admin

Request

You can view the currently authorised admin along with the embedded app object (a "workspace" in legacy terminology).

🚧 Single Sign On

If you are building a custom "Log in with Intercom" flow for your site, and you call the /me endpoint to identify the logged-in user, you should not accept any sign-ins from users with unverified email addresses as it poses a potential impersonation security risk.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  https://api.intercom.io/me \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

Successful response

Bodyapplication/json
typestring

String representing the object's type. Always has the value admin.

Example:"admin"
idstring

The id representing the admin.

Example:"1295"
namestring

The name of the admin.

Example:"Joe Examplee"
emailstring

The email of the admin.

Example:"wash@example.com"
job_titlestring

The job title of the admin.

Example:"Philosopher"
away_mode_enabledboolean

Identifies if this admin is currently set in away mode.

Example:false
away_mode_reassignboolean

Identifies if this admin is set to automatically reassign new conversations to the apps default inbox.

Example:false
has_inbox_seatboolean

Identifies if this admin has a paid inbox seat to restrict/allow features that require them.

Example:true
team_idsArray of integers

This is a list of ids of the teams that this admin is part of.

Example:
[ 814865 ]
avatarobject

This object represents the avatar associated with the admin.

email_verifiedboolean or null

Identifies if this admin's email is verified.

Example:true
appobject or null(App)

App that the admin belongs to.

Response
{ "type": "admin", "id": "991267242", "email": "admin1@email.com", "name": "Ciaran1 Lee", "email_verified": true, "app": { "type": "app", "id_code": "this_is_an_id1_that_should_be_at_least_40", "name": "MyApp 1", "created_at": 1717021328, "secure": false, "identity_verification": false, "timezone": "America/Los_Angeles", "region": "US" }, "avatar": { "type": "avatar", "image_url": "https://static.intercomassets.com/assets/default-avatars/admins/128.png" }, "has_inbox_seat": true }